## libqmi 1.38.0

=== meson_options.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
# Copyright (C) 2019 - 2021 Iñigo Martinez <inigomartinez@gmail.com>

option('collection', type: 'combo', choices: ['minimal', 'basic', 'full'], value: 'full', description: 'message collection to build')

option('firmware_update', type: 'boolean', value: true, description: 'enable compilation of `qmi-firmware-update')

option('mbim_qmux', type: 'boolean', value: true, description: 'enable support for QMI over MBIM QMUX service')
option('mm_runtime_check', type: 'boolean', value: true, description: 'build ModemManager runtime check support')
option('qmi_username', type: 'string', value: '', description: 'user allowed to access QMI devices')
option('qmi_groupname', type: 'string', value: '', description: 'group allowed to access QMI devices')
option('qrtr', type: 'boolean', value: true, description: 'enable support for QRTR protocol')
option('rmnet', type: 'boolean', value: true, description: 'enable support for RMNET link management')

option('udev', type: 'boolean', value: true, description: 'build udev support')
option('udevdir', type: 'string', value: '', description: 'where udev base directory is')

option('introspection', type: 'boolean', value: true, description: 'build introspection support')
option('gtk_doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')
option('man', type: 'boolean', value: true, description: 'build man pages using help2man')

option('bash_completion', type: 'boolean', value: true, description: 'install bash completion files')

option('fuzzer', type: 'boolean', value: false, description: 'build fuzzer tests')

## libqmi 1.0

=== debian/changelog ===
libqmi (1.0-1) unstable; urgency=low

  [ Marius B. Kotsbak ]
  * Initial release (Closes: #692564)

 -- Marius B. Kotsbak <marius@kotsbak.com>  Thu, 17 Jan 2013 21:12:14 +0100

=== debian/control ===
Source: libqmi
Priority: optional
Maintainer: Marius B. Kotsbak <marius@kotsbak.com>
Build-Depends: debhelper (>= 9), dh-autoreconf, libglib2.0-dev (>= 2.32), pkg-config, intltool, gtk-doc-tools, python, libglib2.0-doc
Standards-Version: 3.9.4
Section: libs
Homepage: http://www.freedesktop.org/software/libqmi
#Vcs-Git: git://git.debian.org/collab-maint/libqmi-glib.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/libqmi-glib.git;a=summary

Package: libqmi-glib-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqmi-glib0 (= ${binary:Version}), ${misc:Depends}
Suggests: libqmi-glib-doc
Description: Header files for adding QMI support to applications that use glib
 This package contains the header and pkg-config files for development
 applications using QMI functionality from applications that use glib.

Package: libqmi-glib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Description: API documentation for libqmi-glib
 This package provides the API documentation for libqmi-glib for adding
 QMI support to applications that use glib.

Package: libqmi-glib0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Support library to use the Qualcomm MSM Interface (QMI) protocol
 Libraries for adding QMI support to applications that use glib.

Package: libqmi-glib0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libqmi-glib0 (= ${binary:Version}), ${misc:Depends}
Description: Support library to use the Qualcomm MSM Interface (QMI) protocol
 This package contains detached debugging symbols.

Package: libqmi-utils
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utilities to use the QMI protocol from the command line
 This package contains the utilities that make it easier to use QMI
 functionality from the command line.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with autoreconf,python2

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-tests \
		--with-docs

override_dh_strip:
	dh_strip --dbg-package=libqmi-glib0-dbg

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/gnome/sources/libqmi/([\d\.]+)/libqmi-(.*)\.tar\.xz

## libqmi 1.4.0

=== debian/changelog ===
libqmi (1.4.0-1) unstable; urgency=low

  [ Marius B. Kotsbak ]
  * New upstream stable release 1.4.0
    - Fixed DMS activation code string handling
    - Enhanced "start network" functionality in qmicli
    - dms: fix minimum version requirement for DMS Get/Set Operating Mode
    - nas: added 'Network Time' indication
    - utils: fix reading sized uints in BE systems
    - cli: add --dms-activate-manual
    - cli: implemented setting System Selection Preference
    - cli: fix technology preference persistence reporting
    - cli: fix reading new PIN in '--dms-uim-change-pin'
    - docs: always generate documentation at dist time
    - tests: fixed BE/LE tests in BE systems (Closes: #709655)
  * Drop patches applied upstream:
    - "qmi-codegen-clean-up-compiled-python-files_git_1822155"
    - "cli-all-sources-are-GPLv2_git_a5631ea"
  * Symbols for libqmi-glib0 updated
  * Change build-deps to Python 3
  * Updated control Vcs-* fields to point to the Alioth hosted project
  * Corrected debian/copyright: cli/* and libqmi-glib/test/* are GPL 2+.
    Changed packaging to GPL 2+ too, as LGPL does not make sense here.
  * Added help2man generating of manpages (new debian/rules target
    "generate_manpages:". Edited result for qmi-network as it lacked
    complete help. Workaround for upstream bgo #58755.
  * Change to new configure option "--enable-gtk-doc-html"
  * Updated upstream homepage reference to new page published
  * Remove ${misc:Pre-Depends} from libqmi-glib-dev,
      it is not containing any shared libs.
  * Remove meaningless "All rights reserved" from debian/copyright

 -- Marius B. Kotsbak <marius@kotsbak.com>  Sat, 08 Jun 2013 18:53:23 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,14 @@
 Build-Depends: debhelper (>= 9), dh-autoreconf, libglib2.0-dev (>= 2.32), pkg-config, intltool, gtk-doc-tools, python, libglib2.0-doc
 Standards-Version: 3.9.4
 Section: libs
-Homepage: http://www.freedesktop.org/software/libqmi
-#Vcs-Git: git://git.debian.org/collab-maint/libqmi-glib.git
-#Vcs-Browser: http://git.debian.org/?p=collab-maint/libqmi-glib.git;a=summary
+Homepage: http://www.freedesktop.org/wiki/Software/libqmi
+Vcs-Git: git://anonscm.debian.org/pkg-libqmi/pkg-libqmi.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-libqmi/pkg-libqmi.git;a=summary
 
 Package: libqmi-glib-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: libqmi-glib0 (= ${binary:Version}), ${misc:Depends}
 Suggests: libqmi-glib-doc
 Description: Header files for adding QMI support to applications that use glib

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-tests \
		--enable-gtk-doc \
		--enable-gtk-doc-html

override_dh_strip:
	dh_strip --dbg-package=libqmi-glib0-dbg

generate_manpages: binary-arch binary
	help2man --no-info --name "Control QMI devices" debian/tmp/usr/bin/qmicli --help-option "--help-all" > debian/qmicli.1

.PHONY: generate_manpages

## libqmi 1.8.0

=== debian/changelog ===
libqmi (1.8.0-2~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1345560)

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 23 Jul 2014 11:11:58 +0100

libqmi (1.8.0-2) unstable; urgency=low

  [ Marius B. Kotsbak ]
  * Change libqmi to only recommend libqmi-proxy package.
    It is possible to use the library without it (Closes: #754599).

 -- Marius B. Kotsbak <marius@kotsbak.com>  Thu, 17 Jul 2014 20:35:17 +0200

libqmi (1.8.0-1) unstable; urgency=low

  [ Marius Kotsbak ]
  * New upstream stable release 1.8.0 (Closes: #731002, #731907)
    - Support for sharing the QMI port through multiple processes with the new
      'qmi-proxy' infrastructure.
    - api: added new known service ID enumeration values
    - wds: added "Get Profile List" request/response
    - wds: added "Get Profile Settings" request/response
    - wds: added "Get Default Settings" request/response
    - cli: add --wds-get-profile-list
    - cli: add --wds-get-default-settings
    - dms: 'SID' TLV in "Activate Manual" is a guint8, not a string
    - Extended API with macros to check for the libqmi-glib version in use
    - Setup libtool versioning in libqmi-glib
    - Added initial support for the PBM (phonebook) service
    - Added initial support for the UIM service
    - Added initial support for the OMA (Open Mobile Alliance) service
    - nas: added "Get Tx Rx Info" request/response
    - wds: added "Get Packet Statistics" request/response
    - dms: added support for the 'PRL' TLV in "Activate Manual"
    - cli: add --nas-get-tx-rx-info
    - cli: add --wds-get-packet-statistics
    - cli: add --get-service-version-info
    - cli: add --uim-read-transparent
    - cli: add --uim-get-file-attributes
    - cli: fix following network status until disconnected
    - tests: use gtester to run unit tests
    - Also fixed several minor bugs and memory leaks
  * Replaced "help2man" in Debian package with the same from upstream

 -- Marius B. Kotsbak <marius@kotsbak.com>  Sat, 21 Jun 2014 08:02:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Marius B. Kotsbak <marius@kotsbak.com>
 Build-Depends: debhelper (>= 9), dh-autoreconf, libglib2.0-dev (>= 2.32), pkg-config, intltool, gtk-doc-tools, python, libglib2.0-doc
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Section: libs
 Homepage: http://www.freedesktop.org/wiki/Software/libqmi
 Vcs-Git: git://anonscm.debian.org/pkg-libqmi/pkg-libqmi.git
@@ -12,7 +12,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libqmi-glib0 (= ${binary:Version}), ${misc:Depends}
+Depends: libqmi-glib1 (= ${binary:Version}), ${misc:Depends}
 Suggests: libqmi-glib-doc
 Description: Header files for adding QMI support to applications that use glib
  This package contains the header and pkg-config files for development
@@ -27,20 +27,21 @@
  This package provides the API documentation for libqmi-glib for adding
  QMI support to applications that use glib.
 
-Package: libqmi-glib0
+Package: libqmi-glib1
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: libqmi-proxy (>= ${binary:Version})
 Description: Support library to use the Qualcomm MSM Interface (QMI) protocol
  Libraries for adding QMI support to applications that use glib.
 
-Package: libqmi-glib0-dbg
+Package: libqmi-glib1-dbg
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libqmi-glib0 (= ${binary:Version}), ${misc:Depends}
+Depends: libqmi-glib1 (= ${binary:Version}), ${misc:Depends}
 Description: Support library to use the Qualcomm MSM Interface (QMI) protocol
  This package contains detached debugging symbols.
 
@@ -51,3 +52,12 @@
 Description: Utilities to use the QMI protocol from the command line
  This package contains the utilities that make it easier to use QMI
  functionality from the command line.
+
+Package: libqmi-proxy
+Section: net
+Architecture: any
+Multi-Arch: foreign
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Proxy to communicate with QMI ports
+ This package contains the binary qmi-proxy used by libqmi to allow multiple
+ clients to use the same QMI port simultaneously.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-tests \
		--enable-gtk-doc \
		--enable-gtk-doc-html \
		--libexecdir=/usr/lib/libqmi

override_dh_strip:
	dh_strip --dbg-package=libqmi-glib1-dbg

=== debian/watch ===
version=3
http://www.freedesktop.org/software/libqmi/libqmi-(.*)\.tar\.xz

## libqmi 1.10.2

=== debian/changelog ===
libqmi (1.10.2-2) unstable; urgency=medium

  * Team upload.

  [ Marius B. Kotsbak ]
  * Use dh_install --list-missing to show uninstalled files.
  * Drop obsolete --with-tests configure option.

  [ Michael Biebl ]
  * Install man pages via dh_install.
  * Use a strictly versioned dependency between libqmi-proxy and libqmi-glib1,
    so the two packages don't get out of sync.
  * Make any package linking against libqmi-glib1 get an explicit dependency
    on libqmi-proxy. The qmi-proxy binary is used internally by libqmi-glib1
    and the package split is an implementation detail to properly support
    multi-arch. Convince lintian that this is intentional.
  * Add Depends on libglib2.0-dev to libqmi-glib-dev as required by
    qmi-glib.pc.

 -- Michael Biebl <biebl@debian.org>  Tue, 16 Sep 2014 23:24:51 +0200

libqmi (1.10.2-1) unstable; urgency=low

  [ Marius B. Kotsbak ]
  * New upstream stable version 1.10.2
    - Fixed default internal proxy timeout for requests.
    - Added initial support for the WDA service.
    - Added support for cell location info retrieval.
    - Added support for UIM card status retrieval.
    - Added support to specify net open flags in the command line.
    - Minor bugfixes

 -- Marius B. Kotsbak <marius@kotsbak.com>  Tue, 29 Jul 2014 20:45:51 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libqmi-glib1 (= ${binary:Version}), ${misc:Depends}
+Depends: libqmi-glib1 (= ${binary:Version}), ${misc:Depends}, libglib2.0-dev
 Suggests: libqmi-glib-doc
 Description: Header files for adding QMI support to applications that use glib
  This package contains the header and pkg-config files for development
@@ -33,7 +33,6 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: libqmi-proxy (>= ${binary:Version})
 Description: Support library to use the Qualcomm MSM Interface (QMI) protocol
  Libraries for adding QMI support to applications that use glib.
 
@@ -57,7 +56,7 @@
 Section: net
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqmi-glib1 (= ${binary:Version})
 Description: Proxy to communicate with QMI ports
  This package contains the binary qmi-proxy used by libqmi to allow multiple
  clients to use the same QMI port simultaneously.

## libqmi 1.12.6

=== debian/changelog ===
libqmi (1.12.6-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.
  * Add myself to Uploaders.

 -- Michael Biebl <biebl@debian.org>  Thu, 07 May 2015 00:51:05 +0200

libqmi (1.12.4-2) experimental; urgency=medium

  * Team upload.
  * Mark binary packages as linux-any.

 -- Michael Biebl <biebl@debian.org>  Fri, 13 Feb 2015 21:31:59 +0100

libqmi (1.12.4-1) experimental; urgency=medium

  * Team upload.

  [ Marius B. Kotsbak ]
  * Add gbp config for experimental branch.

  [ Michael Biebl ]
  * Imported Upstream version 1.12.4.
  * Update symbols file.
  * Update Vcs-Browser URL to use cgit and https.

 -- Michael Biebl <biebl@debian.org>  Fri, 13 Feb 2015 09:43:06 +0100

libqmi (1.12.2-1) experimental; urgency=medium

  [ Marius B. Kotsbak ]
  * Imported Upstream version 1.12.2 (Closes: #772328)
  * Updated symbols file for libqmi-glib1 package for new upstream 1.12.2.
  * Update Debian standards version to 3.9.6
  * Install NEWS file which includes the relevant upstream changes.

 -- Marius B. Kotsbak <marius@kotsbak.com>  Sat, 31 Jan 2015 14:41:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: libqmi
 Priority: optional
 Maintainer: Marius B. Kotsbak <marius@kotsbak.com>
+Uploaders: Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, libglib2.0-dev (>= 2.32), pkg-config, intltool, gtk-doc-tools, python, libglib2.0-doc
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: libs
 Homepage: http://www.freedesktop.org/wiki/Software/libqmi
 Vcs-Git: git://anonscm.debian.org/pkg-libqmi/pkg-libqmi.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-libqmi/pkg-libqmi.git;a=summary
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-libqmi/pkg-libqmi.git
 
 Package: libqmi-glib-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: libqmi-glib1 (= ${binary:Version}), ${misc:Depends}, libglib2.0-dev
 Suggests: libqmi-glib-doc
@@ -29,7 +30,7 @@
 
 Package: libqmi-glib1
 Section: libs
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -39,14 +40,14 @@
 Package: libqmi-glib1-dbg
 Section: debug
 Priority: extra
-Architecture: any
+Architecture: linux-any
 Depends: libqmi-glib1 (= ${binary:Version}), ${misc:Depends}
 Description: Support library to use the Qualcomm MSM Interface (QMI) protocol
  This package contains detached debugging symbols.
 
 Package: libqmi-utils
 Section: net
-Architecture: any
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Utilities to use the QMI protocol from the command line
  This package contains the utilities that make it easier to use QMI
@@ -54,7 +55,7 @@
 
 Package: libqmi-proxy
 Section: net
-Architecture: any
+Architecture: linux-any
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqmi-glib1 (= ${binary:Version})
 Description: Proxy to communicate with QMI ports

=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,12 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--with-tests \
 		--enable-gtk-doc \
 		--enable-gtk-doc-html \
 		--libexecdir=/usr/lib/libqmi
 
+override_dh_install:
+	dh_install -X.la --list-missing
+
 override_dh_strip:
 	dh_strip --dbg-package=libqmi-glib1-dbg

## libqmi 1.14.2

=== debian/changelog ===
libqmi (1.14.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Fri, 15 Apr 2016 00:55:28 +0200

libqmi (1.14.0-2) unstable; urgency=medium

  * Update debian/copyright.

 -- Michael Biebl <biebl@debian.org>  Tue, 22 Mar 2016 18:35:07 +0100

libqmi (1.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Use https:// for upstream homepage.
  * Rename libqmi-glib1 → libqmi-glib5 for the upstream SONAME bump.
  * Update symbols files accordingly.
  * Run wrap-and-sort -at.
  * Bump Standards-Version to 3.9.7.
  * Drop libqmi-glib5-dbg now that we have automatic dbgsym packages.
  * Ensure proper upgrade from libqmi-glib5-dbg to new dbgsym packages by
    using dh_strip --dbgsym-migration. Bump Build-Depends on debhelper
    accordingly.
  * Drop debian/qmicli.1 since we use the upstream man page.
  * Install bash-completion file for qmicli.
  * Drop obsolete debian/README.source.
  * Rename libqmi-glib.doc-base → libqmi-glib-doc.doc-base so the doc-base
    support file is actually installed.

 -- Michael Biebl <biebl@debian.org>  Sat, 19 Mar 2016 00:40:30 +0100

=== debian/control ===
Source: libqmi
Priority: optional
Maintainer: Marius B. Kotsbak <marius@kotsbak.com>
Uploaders: Michael Biebl <biebl@debian.org>,
Build-Depends: debhelper (>= 9.20160114),
               dh-autoreconf,
               gtk-doc-tools,
               intltool,
               libglib2.0-dev (>= 2.32),
               libglib2.0-doc,
               pkg-config,
               python,
Standards-Version: 3.9.8
Section: libs
Homepage: https://www.freedesktop.org/wiki/Software/libqmi
Vcs-Git: git://anonscm.debian.org/pkg-libqmi/pkg-libqmi.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-libqmi/pkg-libqmi.git

Package: libqmi-glib-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: libglib2.0-dev,
         libqmi-glib5 (= ${binary:Version}),
         ${misc:Depends},
Suggests: libqmi-glib-doc,
Description: Header files for adding QMI support to applications that use glib
 This package contains the header and pkg-config files for development
 applications using QMI functionality from applications that use glib.

Package: libqmi-glib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Suggests: devhelp,
Description: API documentation for libqmi-glib
 This package provides the API documentation for libqmi-glib for adding
 QMI support to applications that use glib.

Package: libqmi-glib5
Section: libs
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Support library to use the Qualcomm MSM Interface (QMI) protocol
 Libraries for adding QMI support to applications that use glib.

Package: libqmi-utils
Section: net
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Utilities to use the QMI protocol from the command line
 This package contains the utilities that make it easier to use QMI
 functionality from the command line.

Package: libqmi-proxy
Section: net
Architecture: linux-any
Multi-Arch: foreign
Depends: libqmi-glib5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Proxy to communicate with QMI ports
 This package contains the binary qmi-proxy used by libqmi to allow multiple
 clients to use the same QMI port simultaneously.

=== debian/rules ===
--- 
+++ 
@@ -14,4 +14,4 @@
 	dh_install -X.la --list-missing
 
 override_dh_strip:
-	dh_strip --dbg-package=libqmi-glib1-dbg
+	dh_strip --dbgsym-migration='libqmi-glib5-dbg (<< 1.14.0-1~)'

## libqmi 1.16.0

=== debian/changelog ===
libqmi (1.16.0-1mx150+1) mx; urgency=medium

  * Repackaged for MX 15.

 -- Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>  Tue, 16 Aug 2016 13:07:21 -0500

libqmi (1.16.0-1) unstable; urgency=medium

  * New upstream release.
  * Enable QMi-over-MBIM support, which is required by new Sierra devices to
    work in MBIM mode.
  * Update symbols file.
  * Only install the upstream documentation files once.

 -- Michael Biebl <biebl@debian.org>  Fri, 08 Jul 2016 00:08:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: libqmi
 Priority: optional
-Maintainer: Marius B. Kotsbak <marius@kotsbak.com>
+Maintainer: Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>
+XSBC-Original-Maintainer: Marius B. Kotsbak <marius@kotsbak.com>
 Uploaders: Michael Biebl <biebl@debian.org>,
+Bugs: mailto: Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>
 Build-Depends: debhelper (>= 9.20160114),
                dh-autoreconf,
                gtk-doc-tools,
                intltool,
+               libmbim-glib-dev (>= 1.14.0),
                libglib2.0-dev (>= 2.32),
                libglib2.0-doc,
                pkg-config,

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 	dh_auto_configure -- \
 		--enable-gtk-doc \
 		--enable-gtk-doc-html \
+		--enable-mbim-qmux \
 		--libexecdir=/usr/lib/libqmi
 
 override_dh_install:

## libqmi 1.16.2

=== debian/changelog ===
libqmi (1.16.2-1ubuntu0.16.04.1) xenial; urgency=medium
 
  * Backport to xenial (LP: #1725190).
  * debian/control: bump down debhelper to xenial vesion.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 28 Nov 2017 12:55:17 +0100

libqmi (1.16.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compat level to 10.
  * Drop Build-Depends on intltool.

 -- Michael Biebl <biebl@debian.org>  Tue, 08 Nov 2016 16:20:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,10 @@
 Source: libqmi
 Priority: optional
-Maintainer: Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Marius B. Kotsbak <marius@kotsbak.com>
 Uploaders: Michael Biebl <biebl@debian.org>,
-Bugs: mailto: Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>
-Build-Depends: debhelper (>= 9.20160114),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 9),
                gtk-doc-tools,
-               intltool,
                libmbim-glib-dev (>= 1.14.0),
                libglib2.0-dev (>= 2.32),
                libglib2.0-doc,

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## libqmi 1.18.0

=== debian/changelog ===
libqmi (1.18.0-3ubuntu1) bionic; urgency=medium

  * Pass --enable-more-warnings so we build without -Werror, which fixes the
    current FTBFS and mitigates against future ones.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 24 Apr 2018 12:03:39 +0100

libqmi (1.18.0-3) unstable; urgency=medium

  * Remove myself from Uploaders.

 -- Michael Biebl <biebl@debian.org>  Sat, 21 Oct 2017 00:49:31 +0200

libqmi (1.18.0-2) unstable; urgency=medium

  * Drop useless g_file_test() call.
    Fixes FTBFS with glib2.0 >= 2.52.1 which changed the behaviour of
    g_file_test(). (Closes: #865579)
  * Bump Standards-Version to 4.0.0

 -- Michael Biebl <biebl@debian.org>  Thu, 06 Jul 2017 21:22:47 +0200

libqmi (1.18.0-1) unstable; urgency=medium

  * New upstream version 1.18.0
  * Bump Build-Depends on libglib2.0-dev to (>= 2.36)
  * Update libqmi-glib5 symbols file
  * Enable new qmi-firmware-update tool
  * Enable GUdev support for qmi-firmware-update

 -- Michael Biebl <biebl@debian.org>  Sat, 17 Jun 2017 12:46:52 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Marius B. Kotsbak <marius@kotsbak.com>
-Uploaders: Michael Biebl <biebl@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                gtk-doc-tools,
                libmbim-glib-dev (>= 1.14.0),
-               libglib2.0-dev (>= 2.32),
+               libgudev-1.0-dev (>= 147),
+               libglib2.0-dev (>= 2.36),
                libglib2.0-doc,
                pkg-config,
                python,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Section: libs
 Homepage: https://www.freedesktop.org/wiki/Software/libqmi
 Vcs-Git: git://anonscm.debian.org/pkg-libqmi/pkg-libqmi.git

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,10 @@
 	dh_auto_configure -- \
 		--enable-gtk-doc \
 		--enable-gtk-doc-html \
+		--enable-firmware-update \
+		--enable-gudev \
 		--enable-mbim-qmux \
+		--enable-more-warnings \
 		--libexecdir=/usr/lib/libqmi
 
 override_dh_install:

## libqmi 1.20.0

=== debian/changelog ===
libqmi (1.20.0-1.1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Pass --enable-more-warnings so we build without -Werror, which fixes the
      current FTBFS and mitigates against future ones.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Oct 2018 14:58:40 +0200

libqmi (1.20.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for FTBFS with glib 2.58,
    thanks to Juhani Numminen. (Closes: #908016)

 -- Adrian Bunk <bunk@debian.org>  Sat, 22 Sep 2018 22:05:32 +0300

libqmi (1.20.0-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Pass --enable-more-warnings so we build without -Werror, which fixes the
      current FTBFS and mitigates against future ones.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 06 Jun 2018 16:45:08 +0200

libqmi (1.20.0-1) unstable; urgency=medium

  * New upstream version 1.20.0. (Closes: #887975)
  * debian/patches/0001-utils-drop-useless-g_file_test-call.patch: dropped,
    included upstream.
  * debian/libqmi-glib5.symbols: update symbols for new release.
  * debian/control: changing Maintainer field to claim the package. Marius is
    no longer interested in maintaining it.
  * debian/control: bump Standards-Version to 4.1.3.

 -- Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>  Thu, 01 Mar 2018 09:39:11 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: libqmi
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Marius B. Kotsbak <marius@kotsbak.com>
+Maintainer: Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>
 Build-Depends: debhelper (>= 10),
                gtk-doc-tools,
                libmbim-glib-dev (>= 1.14.0),
@@ -10,7 +9,7 @@
                libglib2.0-doc,
                pkg-config,
                python,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Section: libs
 Homepage: https://www.freedesktop.org/wiki/Software/libqmi
 Vcs-Git: git://anonscm.debian.org/pkg-libqmi/pkg-libqmi.git

## libqmi 1.22.0

=== debian/changelog ===
libqmi (1.22.0-1.2~ubuntu18.04.1) bionic; urgency=medium

  * Build for Bionic (LP: #1819615).
  * debian/libqmi-glib5.symbols: update symbols for new release.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 20 Mar 2019 14:28:39 +0100

libqmi (1.22.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add debian/patches/git_reset-offset-before-2nd-call.patch from upstream.
    - equivalent to 1.22.2 release except the broken manpages in that release.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 12 Mar 2019 14:19:35 +0100

libqmi (1.22.0-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Bump Build-Depends on libmbim-glib-dev to 1.18.0 to fix build
    (Closes: #921321)

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 07 Feb 2019 18:22:46 -0500

libqmi (1.22.0-1) unstable; urgency=medium

  * New upstream release
    - Needed by ModemManager 1.10.
  * debian/patches/0001-qmicli-remove-implicity-casts-to-GDestroyNotify-in-g.patch:
    Dropped, included upstream.
  * debian/libqmi-glib5.symbols: update symbols for new release.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 05 Feb 2019 23:24:39 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>
 Build-Depends: debhelper (>= 10),
                gtk-doc-tools,
-               libmbim-glib-dev (>= 1.14.0),
+               libmbim-glib-dev (>= 1.18.0),
                libgudev-1.0-dev (>= 147),
                libglib2.0-dev (>= 2.36),
                libglib2.0-doc,

=== debian/watch ===
version=3
https://www.freedesktop.org/software/libqmi/libqmi-(.*)\.tar\.xz

## libqmi 1.22.4

=== debian/changelog ===
libqmi (1.22.4-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release
  * Removed debian/patches/git_reset-offset-before-2nd-call.patch,
    included upstream.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 19 Aug 2019 11:52:41 +0200

libqmi (1.22.0-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * enable verbose build logs (Closes: #900909) 

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Aug 2019 13:07:56 +0200

## libqmi 1.24.6

=== debian/changelog ===
libqmi (1.24.6-2) unstable; urgency=medium

  * debian/control, 
    debian/patches/versioned_python_binary.patch:
    - don't use an unversioned python binary

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 27 Feb 2020 21:06:26 +0100

libqmi (1.24.6-1) unstable; urgency=medium

  * New upstream version
  * debian/libqmi-glib5.symbols:
    - refreshed the symbols for the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 27 Feb 2020 20:27:01 +0100

## libqmi 1.24.8

=== debian/changelog ===
libqmi (1.24.8-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 26 Mar 2020 23:26:00 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libglib2.0-dev (>= 2.36),
                libglib2.0-doc,
                pkg-config,
-               python,
+               python2,
 Standards-Version: 4.1.3
 Section: libs
 Homepage: https://www.freedesktop.org/wiki/Software/libqmi

## libqmi 1.26.4

=== debian/changelog ===
libqmi (1.26.4-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.

 -- Martin <debacle@debian.org>  Sun, 23 Aug 2020 10:19:46 +0000

libqmi (1.26.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.
  * Fix reproducibility by removing superfluous Makefiles (Closes: #963485).

 -- Martin <debacle@debian.org>  Sun, 26 Jul 2020 12:36:00 +0000

libqmi (1.26.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.

 -- Martin <debacle@debian.org>  Sun, 21 Jun 2020 11:38:14 +0000

libqmi (1.25.900-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Add package for GObject introspection (new upstream feature).
  * debian/libqmi-glib5.symbols: 280 additional symbols.

 -- Martin <debacle@debian.org>  Wed, 10 Jun 2020 21:39:17 +0000

libqmi (1.24.12-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.

 -- Martin <debacle@debian.org>  Tue, 26 May 2020 22:12:07 +0000

libqmi (1.24.8-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  [ Laurent Bigonville ]
  * Add debian/gbp.conf file
  * debian/control: Bump Standards-Version to 4.5.0 (no further changes)
  * Mark libqmi-glib-doc with Build-profiles: <!nodoc> and move libglib2.0-doc
    to BDI
  * debian/control: Switch the build-dependency to python3 (Closes: #943157)
  * Bump debhelper version to 12 and use dh_missing instead of dh_install
    --list-missing
  * Move qmi-proxy to /usr/libexec
  * debian/control: Remove duplicate sections to please lintian
  * debian/libqmi-glib5.symbols: Add Build-Depends-Package field
  * Add a symlink for the documentation in /usr/share/doc and adjust the
    docbase file. This fixes the doc-base-file-references-wrong-path lintian
    warning

  [ Helmut Grohne ]
  * Fix FTCBFS
    + Annotate python build dependency with :any.
    + Disable gtk-doc for arch-only builds. (Closes: #913113)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 20 May 2020 16:23:06 +0200

libqmi (1.24.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update Vcs-* to salsa.
  * Use Rules-Requires-Root: no

 -- Martin <debacle@debian.org>  Thu, 30 Apr 2020 00:32:38 +0000

## libqmi 1.26.10

=== debian/changelog ===
libqmi (1.26.10-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Bug fix release:
    + libqmi-glib: Fix internal QmiClientCtl leak in the QmiDevice when
      using the QMUX endpoint.

 -- Martin <debacle@debian.org>  Mon, 15 Feb 2021 16:03:10 +0000

libqmi (1.26.8-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload (Closes: #980558).

 -- Martin <debacle@debian.org>  Wed, 20 Jan 2021 21:10:05 +0000

libqmi (1.26.8-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.

 -- Martin <debacle@debian.org>  Sun, 10 Jan 2021 12:47:44 +0000

libqmi (1.26.6-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.
  * debian/libqmi-glib5.symbols: add symbols for 1.26.6.

 -- Martin <debacle@debian.org>  Wed, 07 Oct 2020 16:09:38 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,23 @@
 Source: libqmi
 Priority: optional
 Maintainer: Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
+               autoconf-archive,
+               gobject-introspection,
                gtk-doc-tools,
                libmbim-glib-dev (>= 1.18.0),
+               libgirepository1.0-dev,
                libgudev-1.0-dev (>= 147),
                libglib2.0-dev (>= 2.36),
-               libglib2.0-doc,
                pkg-config,
-               python2,
-Standards-Version: 4.1.3
+               python3:any
+Build-Depends-Indep: libglib2.0-doc <!nodoc>
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Section: libs
 Homepage: https://www.freedesktop.org/wiki/Software/libqmi
-Vcs-Git: git://anonscm.debian.org/pkg-libqmi/pkg-libqmi.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-libqmi/pkg-libqmi.git
+Vcs-Git: https://salsa.debian.org/debian/libqmi.git
+Vcs-Browser: https://salsa.debian.org/debian/libqmi
 
 Package: libqmi-glib-dev
 Section: libdevel
@@ -21,6 +25,7 @@
 Multi-Arch: same
 Depends: libglib2.0-dev,
          libqmi-glib5 (= ${binary:Version}),
+         gir1.2-qmi-1.0 (= ${binary:Version}),
          ${misc:Depends},
 Suggests: libqmi-glib-doc,
 Description: Header files for adding QMI support to applications that use glib
@@ -30,14 +35,15 @@
 Package: libqmi-glib-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
 Suggests: devhelp,
+Build-Profiles: <!nodoc>
 Description: API documentation for libqmi-glib
  This package provides the API documentation for libqmi-glib for adding
  QMI support to applications that use glib.
 
 Package: libqmi-glib5
-Section: libs
 Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
@@ -65,3 +71,13 @@
 Description: Proxy to communicate with QMI ports
  This package contains the binary qmi-proxy used by libqmi to allow multiple
  clients to use the same QMI port simultaneously.
+
+Package: gir1.2-qmi-1.0
+Section: introspection
+Architecture: linux-any
+Multi-Arch: same
+Depends: ${gir:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
+Description: GObject introspection data for libqmi-glib
+ This package contains introspection data for the libqmi-glib library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DOPACKAGES=$(shell dh_listpackages)

%:
	dh $@ --with gir

ifneq (,$(filter libqmi-glib-doc,$(DOPACKAGES)))
CONFIGURE_FLAGS = --enable-gtk-doc --enable-gtk-doc-html
else
CONFIGURE_FLAGS = --disable-gtk-doc --disable-gtk-doc-html
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		$(CONFIGURE_FLAGS) \
		--enable-firmware-update \
		--enable-gudev \
		--enable-introspection=yes \
		--enable-mbim-qmux \
		--enable-more-warnings

override_dh_missing:
	dh_missing -X.la

override_dh_strip:
	dh_strip --dbgsym-migration='libqmi-glib5-dbg (<< 1.14.0-1~)'

override_dh_installexamples:
	dh_installexamples -XMakefile

=== debian/watch ===
version=3
opts=pgpmode=auto \
https://www.freedesktop.org/software/libqmi/libqmi-(.*)\.tar\.xz

## libqmi 1.28.6

=== debian/changelog ===
libqmi (1.28.6-2ubuntu1) impish; urgency=medium

  * Apply upstream patch to display the 5G NSA status. (lp: #1946143)

 -- Jerry Lee <jerry.lee@canonical.com>  Wed, 06 Oct 2021 16:21:40 +0800

libqmi (1.28.6-1) experimental; urgency=medium

  * New upstream version
  * debian/libqmi-glib5.symbols:
    - updated for the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 22 Jun 2021 13:38:23 +0200

## libqmi 1.30.4

=== debian/changelog ===
libqmi (1.30.4-1~ubuntu20.04.1) focal; urgency=medium

  * Backport to focal. (LP: #1965901)
  * Lower debhelper to 12 which is the version available on the serie

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 08 Apr 2022 11:31:16 +0200

libqmi (1.30.4-1) unstable; urgency=medium

  * New upstream version 1.30.4
  * d/rules: error out if symbols aren't up-to-date.
    We want to ship shared libs with up-to-date symbols file, so having the
    build error out if that's not the case is a good way to ensure we update
    those before releasing the package.
  * d/control: sort build dependencies.
  * lintian-overrides: update to new format for libqmi-glib5.
    The format for the `symbols-declares-dependency-on-other-package`
    lintian override has changed to include the corresponding library name.
    Update the override so it matches the current format and makes lintian
    happy.

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Wed, 16 Feb 2022 15:20:43 +0100

libqmi (1.30.2-1) unstable; urgency=medium

  * New upstream version 1.30.2
  * d/control: change maintainer to DebianOnMobile team.
  * d/control: bump debhelper-compat version and Standards-Version.
  * d/copyright: add Upstream-Contact field
  * debian: add salsa CI pipeline
  * d/source: add upstream metadata
  * d/watch: bump watch file version, no change required
  * d/control: update build dependencies.
  * d/rules: add hardening build options
  * d/libqmi-glib5: update symbols file for new version

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Tue, 12 Oct 2021 16:17:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,27 @@
 Source: libqmi
 Priority: optional
-Maintainer: Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>
+Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Uploaders: Arnaud Ferraris <arnaud.ferraris@gmail.com>,
+           Guido Günther <agx@sigxcpu.org>,
+           Henry-Nicolas Tourneur <debian@nilux.be>,
+           Martin <debacle@debian.org>
 Build-Depends: debhelper-compat (= 12),
                autoconf-archive,
                gobject-introspection,
-               gtk-doc-tools,
+               gtk-doc-tools <!nodoc>,
+               libgirepository1.0-dev,
+               libglib2.0-dev (>= 2.56),
+               libgudev-1.0-dev (>= 232),
                libmbim-glib-dev (>= 1.18.0),
-               libgirepository1.0-dev,
-               libgudev-1.0-dev (>= 147),
-               libglib2.0-dev (>= 2.36),
                pkg-config,
                python3:any
 Build-Depends-Indep: libglib2.0-doc <!nodoc>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Section: libs
 Homepage: https://www.freedesktop.org/wiki/Software/libqmi
-Vcs-Git: https://salsa.debian.org/debian/libqmi.git
-Vcs-Browser: https://salsa.debian.org/debian/libqmi
+Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/libqmi.git
+Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/libqmi
 
 Package: libqmi-glib-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,8 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+export DPKG_GENSYMBOLS_CHECK_LEVEL=4
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 DOPACKAGES=$(shell dh_listpackages)

## libqmi 1.30.8

=== debian/changelog ===
libqmi (1.30.8-1~bpo10+1) buster-backports-sloppy; urgency=medium

  * Create sloppy backport for Debian 10.

 -- Martin <debacle@debian.org>  Mon, 24 Oct 2022 22:19:58 +0000

libqmi (1.30.8-1) unstable; urgency=medium

  * New upstream version 1.30.8
  * d/control: update my email address.
    Also bump Standards-Version, no change required.
  * debian: update lintian-overrides.
    Due to recent lintian updates, the overrides for `libqmi-glib-doc` are
    no longer needed, while the source package need new overrides: HTML
    files are their own sources, so the `source-is-missing` lintian error is
    not relevant here.
    Moreover, the tag format of the `libqmi-glib5` overrides needs to be
    updated so it can be useful again.
  * d/libqmi-glib5: update symbols file with new entries

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 11 Jul 2022 14:31:52 +0200

libqmi (1.30.6-1) unstable; urgency=medium

  * d/control: make -dev package depend on libqrtr-glib
    `libqmi` is now compiled with QRTR support by linking against
    `libqrtr-glib`. However, `libqmi-glib-dev` doesn't depend on
    `libqrtr-glib-dev`, meaning users need to manually add the latter to
    their build dependencies. Avoid this by adding `libqrtr-glib-dev` as a
    dependency to `libqmi-glib-dev`.
  * debian: lintian-driven fixes and small improvements.
    This commit includes minor changes spotted by `lintian-brush`:
    - `d/upstream/metadata`: append `.git` to repo URL
    - `d/rules`: drop symbols migration (1.14 is long gone)
  * New upstream version 1.30.6

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Thu, 19 May 2022 19:42:31 +0200

libqmi (1.30.4-2) unstable; urgency=medium

  * d/control: build-depend on libqrtr-glib.
    This enables support of QMI over QRTR, required to support Qualcomm SoCs
    in ModemManager.
  * d/libqmi-glib5: update symbols file with new entries.
    Building libqmi with QRTR support adds a few new symbols to the library,
    make sure those are present in the symbols file.
  * d/libqmi-glib-doc: add lintian override.
    Documentation generated by gtk-doc is installed to `/usr/share/gtk-doc`
    as expected. Add a corresponding lintian override, otherwise it will
    complain about docs installed outside `/usr/share/doc`.
  * d/copyright: use secure URL for copyright format.
    Also update copyright information for the `debian/` folder.

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Tue, 22 Feb 2022 10:26:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: libqmi
 Priority: optional
 Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
-Uploaders: Arnaud Ferraris <arnaud.ferraris@gmail.com>,
+Uploaders: Arnaud Ferraris <aferraris@debian.org>,
            Guido Günther <agx@sigxcpu.org>,
            Henry-Nicolas Tourneur <debian@nilux.be>,
            Martin <debacle@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                autoconf-archive,
                gobject-introspection,
-               gtk-doc-tools <!nodoc>,
+               gtk-doc-tools (>= 1.33.2~) <!nodoc>,
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.56),
                libgudev-1.0-dev (>= 232),
                libmbim-glib-dev (>= 1.18.0),
+               libqrtr-glib-dev (>= 1.0.0),
                pkg-config,
                python3:any
 Build-Depends-Indep: libglib2.0-doc <!nodoc>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Section: libs
 Homepage: https://www.freedesktop.org/wiki/Software/libqmi
@@ -27,10 +28,11 @@
 Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
-Depends: libglib2.0-dev,
+Depends: ${misc:Depends},
+         gir1.2-qmi-1.0 (= ${binary:Version}),
          libqmi-glib5 (= ${binary:Version}),
-         gir1.2-qmi-1.0 (= ${binary:Version}),
-         ${misc:Depends},
+         libglib2.0-dev,
+         libqrtr-glib-dev,
 Suggests: libqmi-glib-doc,
 Description: Header files for adding QMI support to applications that use glib
  This package contains the header and pkg-config files for development

=== debian/rules ===
--- 
+++ 
@@ -27,8 +27,5 @@
 override_dh_missing:
 	dh_missing -X.la
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='libqmi-glib5-dbg (<< 1.14.0-1~)'
-
 override_dh_installexamples:
 	dh_installexamples -XMakefile

## libqmi 1.31~git20220823

=== debian/changelog ===
libqmi (1.31~git20220823-0ubuntu2) kinetic; urgency=medium

  * Build without libqrtr for now, the MIR is blocked since we don't have
    hardware available to do the required testing of the feature,
    include some workarounds to fix the build

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 07 Sep 2022 12:19:43 +0200

libqmi (1.31~git20220823-0ubuntu1) kinetic; urgency=medium

  * Update to a preversion doing a git snapshot, needed for newer hardware
  * Build-Depends on meson, help2man and bash-completion
  * Update the symbols

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 24 Aug 2022 12:14:20 +0200
